Package io.dapr.v1

# Interface DaprProtos.GetWorkflowResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetWorkflowResponse`, `DaprProtos.GetWorkflowResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetWorkflowResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsProperties(String key)`
Additional component-specific properties of the workflow instance.
`com.google.protobuf.Timestamp`
`getCreatedAt()`
The time at which the workflow instance was created.
`com.google.protobuf.TimestampOrBuilder`
`getCreatedAtOrBuilder()`
The time at which the workflow instance was created.
`String`
`getInstanceId()`
ID of the workflow instance.
`com.google.protobuf.ByteString`
`getInstanceIdBytes()`
ID of the workflow instance.
`com.google.protobuf.Timestamp`
`getLastUpdatedAt()`
The last time at which the workflow instance had its state changed.
`com.google.protobuf.TimestampOrBuilder`
`getLastUpdatedAtOrBuilder()`
The last time at which the workflow instance had its state changed.
`Map<String,String>`
`getProperties()`
Deprecated.
`int`
`getPropertiesCount()`
Additional component-specific properties of the workflow instance.
`Map<String,String>`
`getPropertiesMap()`
Additional component-specific properties of the workflow instance.
`String`
`getPropertiesOrDefault(String key, String defaultValue)`
Additional component-specific properties of the workflow instance.
`String`
`getPropertiesOrThrow(String key)`
Additional component-specific properties of the workflow instance.
`String`
`getRuntimeStatus()`
The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`com.google.protobuf.ByteString`
`getRuntimeStatusBytes()`
The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`String`
`getWorkflowName()`
Name of the workflow.
`com.google.protobuf.ByteString`
`getWorkflowNameBytes()`
Name of the workflow.
`boolean`
`hasCreatedAt()`
The time at which the workflow instance was created.
`boolean`
`hasLastUpdatedAt()`
The last time at which the workflow instance had its state changed.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getInstanceId

String getInstanceId()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The instanceId.

### getInstanceIdBytes

com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The bytes for instanceId.

### getWorkflowName

String getWorkflowName()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Returns:
  The workflowName.

### getWorkflowNameBytes

com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Returns:
  The bytes for workflowName.

### hasCreatedAt

boolean hasCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Returns:
  Whether the createdAt field is set.

### getCreatedAt

com.google.protobuf.Timestamp getCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Returns:
  The createdAt.

### getCreatedAtOrBuilder

com.google.protobuf.TimestampOrBuilder getCreatedAtOrBuilder()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

### hasLastUpdatedAt

boolean hasLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Returns:
  Whether the lastUpdatedAt field is set.

### getLastUpdatedAt

com.google.protobuf.Timestamp getLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Returns:
  The lastUpdatedAt.

### getLastUpdatedAtOrBuilder

com.google.protobuf.TimestampOrBuilder getLastUpdatedAtOrBuilder()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

### getRuntimeStatus

String getRuntimeStatus()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Returns:
  The runtimeStatus.

### getRuntimeStatusBytes

com.google.protobuf.ByteString getRuntimeStatusBytes()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Returns:
  The bytes for runtimeStatus.

### getPropertiesCount

int getPropertiesCount()

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

### containsProperties

boolean containsProperties(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

### getProperties

@Deprecated Map<String,String> getProperties()
Deprecated.
Use `getPropertiesMap()` instead.

### getPropertiesMap

Map<String,String> getPropertiesMap()

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

### getPropertiesOrDefault

String getPropertiesOrDefault(String key, String defaultValue)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

### getPropertiesOrThrow

String getPropertiesOrThrow(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`